<template>
  <ob-table
    :columns="columns"
    :hide-grouping-setting="true"
    :hide-sorting-setting="true"
    :remote-opt="getObTableData"
    is-fixed-header
  />
</template>

<script>
import itemMixin      from '@/mixins/edit-item';
import paging         from '@/mixins/dictionaries/paging';
import ObTable        from 'common-components/src/obComponents/obTable/index';
import { dictionary } from '@/translations/ru/dictionaries__services__services_list';

export default {
  name: 'ServicesList',
  mixins: [
    itemMixin,
    paging
  ],
  components: { ObTable },
  data() {
    return {
      api: {
        source: '/oboz2-dictionary-services-crud/v1/',
        method: 'getServices'
      },
      dictionaryRu: dictionary
    };
  },
  computed: {
    columns() {
      return [
        {
          title: this.dictionaryRu.columns.name,
          key: 'serviceTypeTitle'
        },
        {
          title: this.dictionaryRu.columns.status,
          key: 'isActive',
          html: data => {
            return data.isActive
              ? 'Активен'
              : 'Неактивен';
          }
        }
      ];
    }
  }
};
</script>

<style scoped>
</style>
